MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006496ardourbugspublic2015-08-04 08:102017-01-24 04:32
Reporterunfa 
Assigned Totimbyr 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.5 
Target VersionFixed in Version5.X git (version in description) 
Summary0006496: Segfault on creating a track by moving a region when JACK connection limit is reached
DescriptionI'm working on a huge session having tens of tracks.

At one point I noticed Ardour crashes every time I create a new track by dragging down a region below the track at the bottom of the session into the empty space.

Running Ardour from terminal showed it's a segmentation fault.

I tried increasing the JACK connection limit up from default 256 connections to maximum 2048, the crashes stopped, I can now further expand my session.
Additional InformationWhat's also strange is that I still can't create a track with the Track>New... dialog window. When I press "OK" the dialog closes but no new tracks are created. This worked when I begun my work in this session, as I created a few tracks to begin with with that dialog.

I'm running a KX Studio version.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019127)
timbyr (developer)
2016-12-06 04:29

A fix for this issue has been committed to the master branch as commit c5cda446 and will be included in a nightly build >= 5.5.38

Please test and confirm if you can, Thanks.

- Issue History
Date Modified Username Field Change
2015-08-04 08:10 unfa New Issue
2016-12-06 04:28 timbyr Product Version 4.1 => 5.5
2016-12-06 04:29 timbyr Note Added: 0019127
2016-12-06 04:29 timbyr Status new => feedback
2017-01-24 04:32 timbyr Status feedback => resolved
2017-01-24 04:32 timbyr Fixed in Version => 5.X git (version in description)
2017-01-24 04:32 timbyr Resolution open => fixed
2017-01-24 04:32 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker